package main

func Firefox(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		command: "firefox",
		args:    nil,
		matcher: matcher,
	}
}

func FirefoxWindow(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		matcher: matcher,
		command: "firefox",
		args:    []string{"--new-window"},
	}
}

func FirefoxPrivate(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		matcher: matcher,
		command: "firefox",
		args:    []string{"--private-window"},
	}
}

func Chromium(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		command: "chromium-browser",
		args:    nil,
		matcher: matcher,
	}
}

func ChromiumWindow(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		command: "chromium-browser",
		args:    []string{"--new-window"},
		matcher: matcher,
	}
}

func ChromiumIncognito(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		command: "chromium-browser",
		args:    []string{"--incognito"},
		matcher: matcher,
	}
}

func ChromiumFlatpak(matcher MatchFunc) BrowserRule {
	return BrowserRule{
		command: "flatpak",
		args: []string{
			"run",
			"org.chromium.Chromium",
		},
		matcher: matcher,
	}
}
