package main

// Update this file with your rules
// You can either define a BrowserRule directly, or using one of the
// pre-defined browsers in browsers.go

func rules() []BrowserRule {
	return []BrowserRule{
		// Personal domains
		Firefox(
			matchHostRegexp(
				`.*\.iamthefij\.com$`,
				`.*\.thefij\.rocks$`,
				`.*\.thefij$`,
			),
		),
		// Work domains
		ChromiumFlatpak(
			matchAny(
				matchHostname(
					"app.signalfx.com",
					"lever.co",
					"work.grubhub.com",
					"y",
					"yelp.rimeto.io",
					"yelp.slack.com",
					"yelplove.appspot.com",
				),
				matchHostRegexp(
					`.*\.lifesize\.com$`,
					`.*\.myworkday\.com$`,
					`.*\.salesforce\.com$`,
					`.*\.yelpcorp\.com$`,
				),
			),
		),
		// Googly domains
		ChromiumFlatpak(
			matchAny(
				matchHostname(
					"google.com",
					"youtube.com",
				),
				matchHostRegexp(
					`.*\.google\.com$`,
					`.*\.youtube\.com$`,
				),
			),
		),
		// Default fallback browser
		Firefox(defaultBrowser),
	}
}
